"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseArguments = exports.parseData = void 0;
function parseData(raw) {
    try {
        return JSON.parse((raw = raw.trim()));
    }
    catch (_a) {
        return raw.includes(',')
            ? raw.split(',').map(parseData)
            : raw;
    }
}
exports.parseData = parseData;
function parseArguments(list) {
    const options = {}, data = [];
    let lastKey = '';
    for (const item of list)
        if (item.startsWith('--')) {
            lastKey = item.slice(2);
            options[lastKey] = true;
        }
        else if (item.startsWith('-')) {
            if (item[2])
                for (const k of item.slice(1))
                    options[k] = true;
            else {
                lastKey = item[1];
                options[lastKey] = true;
            }
        }
        else if (lastKey) {
            options[lastKey] = parseData(item);
            lastKey = '';
        }
        else {
            data.push(parseData(item));
        }
    return { options, data };
}
exports.parseArguments = parseArguments;
